Subject: Re: bug#23457: 24.5; interactive use of next-line and previous-line (holding down C-n or C-p) lag in a buffer with all spaces and newlines

From: James McClain <[email-masked]>
Date: Thu, 5 May 2016 17:34:36 -0700

I had cleartype on, but turning it off does not change the problem at all.
The task manager shows about a 50% load, which is quite high for emacs.
The processor is an intel core m 5y10c.

I also just tested it on Linux Mint 17, 64-bit. Compiling
emacs-25.0.93.tar.xz from source.
This machine has a Intel i7-4930K processor, and the problem still happens.
If you use my recipe and turn on whitespace-mode before you hold C-p,
do all the spaces show?
I would be happen to send you a video, this has worked on every
machine I have tested it on.

On Thu, May 5, 2016 at 12:59 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Thu, 05 May 2016 22:26:13 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>>
>> Did you look into the Emacs display features, like ClearType, in case
>> you have that turned on?
>
> And 2 more questions:
>
>  . what kind of CPU do you have on that machine?
>  . does Task Manager show a significant CPU load when you press and
>    hold C-p in that recipe?
>